## ros-humble-moveit-common 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_common NONE)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "moveit_common-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-humble-moveit-common (2.5.5-1bookworm) bookworm; urgency=high

  * Add -Wunused-parameter (#1756 <https://github.com/ros-planning/moveit2/issues/1756>) (#1757 <https://github.com/ros-planning/moveit2/issues/1757>)
    (cherry picked from commit be474ec5ba6d0210379d009d518bdd631cc46ad9)
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * Add -Wunused-function (#1754 <https://github.com/ros-planning/moveit2/issues/1754>) (#1755 <https://github.com/ros-planning/moveit2/issues/1755>)
    (cherry picked from commit ed9c3317bc1335b66afb0b2e7478b95ddb5c4b33)
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 16:00:00 -0000

ros-humble-moveit-common (2.5.4-1bookworm) bookworm; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Nov 2022 16:00:00 -0000

ros-humble-moveit-common (2.5.3-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 16:00:00 -0000

ros-humble-moveit-common (2.5.2-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-common (2.5.1-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 16:00:00 -0000

ros-humble-moveit-common (2.5.0-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 25 May 2022 16:00:00 -0000

ros-humble-moveit-common (2.4.0-1bookworm) bookworm; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/f3ac6070497da90da33551fc1dc3a68938340413
  * Contributors: Abishalini

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Jan 2022 16:00:00 -0000

ros-humble-moveit-common (2.3.2-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 28 Dec 2021 16:00:00 -0000

ros-humble-moveit-common (2.3.1-1bookworm) bookworm; urgency=high

  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Add backward_ros to moveit_common (#794 <https://github.com/ros-planning/moveit2/issues/794>)
  * Contributors: Dave Coleman, Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Dec 2021 16:00:00 -0000

ros-humble-moveit-common (2.3.0-1bookworm) bookworm; urgency=high

  * Upgrade to C++17
  * Contributors: Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Oct 2021 16:00:00 -0000

ros-humble-moveit-common (2.2.1-1bookworm) bookworm; urgency=high

  * Set project VERSION in moveit_common, fix sonames (#532 <https://github.com/ros-planning/moveit2/issues/532>)
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-moveit-common (2.2.0-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 29 Jun 2021 16:00:00 -0000

ros-humble-moveit-common (2.1.4-1bookworm) bookworm; urgency=high

  * Fix ament_cmake 'buildtool_depend' in moveit_common (#480 <https://github.com/ros-planning/moveit2/issues/480>)
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 30 May 2021 16:00:00 -0000

ros-humble-moveit-common (2.1.3-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 May 2021 16:00:00 -0000

ros-humble-moveit-common (2.1.2-1bookworm) bookworm; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 19 Apr 2021 16:00:00 -0000

ros-humble-moveit-common (2.1.1-1bookworm) bookworm; urgency=high

  * Enable linting for moveit_common package (#379 <https://github.com/ros-planning/moveit2/issues/379>)
  * Enable ament_lint tests (#340 <https://github.com/ros-planning/moveit2/issues/340>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-moveit-common (2.1.0-1bookworm) bookworm; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * Contributors: Lior Lustgarten

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 22 Nov 2020 16:00:00 -0000

ros-humble-moveit-common (1.1.1-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Oct 2020 16:00:00 -0000

ros-humble-moveit-common (1.1.0-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Sep 2020 16:00:00 -0000

ros-humble-moveit-common (1.0.1-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Mar 2019 16:00:00 -0000

ros-humble-moveit-common (1.0.0-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 23 Feb 2019 16:00:00 -0000

ros-humble-moveit-common (0.10.8-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Dec 2018 16:00:00 -0000

ros-humble-moveit-common (0.10.5-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 31 Oct 2018 16:00:00 -0000

ros-humble-moveit-common (0.10.4-1bookworm) bookworm; urgency=high





=== debian/control ===
Source: ros-humble-moveit-common
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-backward-ros, ros-humble-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-humble-moveit-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-backward-ros, ros-humble-ros-workspace
Description: Common support functionality used throughout MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-common//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-moveit-common//opt/ros/humble/opt/moveit_common/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
